/*****************************************************************************************
 * Copyright (C), 2006
 * SAS Institute Inc., Cary, N.C. 27513, U.S.A.  All rights reserved.
 * 
 * NAME:    orvdb_create_prj_comps.sas
 * TITLE:   Creates the project component tables.
 *
 * SUPPORT: mimuha
 *
 * PARAMETERS:
 * 
 *     None.
 *
 * Examples:
 *   %orvdb_create_prj_comps();
 *
 *****************************************************************************************/
%macro orvdb_create_prj_comps();
   &ORVAR_PROC_SQL.;
   
    /*
   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_CCV (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );

   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_COV_MATRIX (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_CONSORTIUM_CRITERIA (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_EXTERNAL_CRITERIA (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_INTERNAL_CRITERIA (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_MAPPING (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_EXTERNAL_SCALE_COMP (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   CREATE TABLE &ORVAR_VARCOMP..FOLDER_X_INTERNAL_SCALE_ADJ (
          FOLDER_UID          &ORVAR_NUM. NOT NULL,
          COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   */
   

   CREATE TABLE &ORVAR_VARCOMP..CCV (
          CCV_UID             &ORVAR_NUM. NOT NULL,
          CCV_DESC            VARCHAR(255),
          CCV_FIELD_REF       VARCHAR(40),
          CCV_FIELD_REF_TYPE  VARCHAR(1),
          CCV_FIELD_LEVEL     &ORVAR_NUM.,
          VERSION_UID         &ORVAR_NUM. NOT NULL
   );
   
   
    /* The length of CCV_DB_VALUE below must match the define in CCVariableVal */
   CREATE TABLE &ORVAR_VARCOMP..CCV_VALUES (
          CCV_VALUE_UID     &ORVAR_NUM. NOT NULL,
          CCV_DB_VALUE      VARCHAR(30) NOT NULL,
          CCV_NAME          VARCHAR(255) NOT NULL,
          CCV_UID           &ORVAR_NUM. NOT NULL,
          VERSION_UID       &ORVAR_NUM. NOT NULL
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..COV_MATRIX (
          COV_MATRIX_UID    &ORVAR_NUM. NOT NULL,
          DESCRIPTION       VARCHAR(255),
          CCV_UID           &ORVAR_NUM.,
          DATASET_NAME      VARCHAR(&ORV_DATASET_NAME_LENGTH.),
          VERSION_UID       &ORVAR_NUM. NOT NULL
   );


   CREATE TABLE &ORVAR_VARCOMP..MAPPING (
          MAPPING_UID       &ORVAR_NUM. NOT NULL,
          DESCRIPTION       VARCHAR(255),
          LEVEL             &ORVAR_NUM. NOT NULL,
          CCV_UID           &ORVAR_NUM.,
          DB_PROP_INT       VARCHAR(40),
          DB_PROP_CON       VARCHAR(40),
          DB_PROP_EXT       VARCHAR(40),
          VERSION_UID       &ORVAR_NUM. NOT NULL
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..MAPPING_ITEM_INT (
          MAPPING_UID        &ORVAR_NUM. NOT NULL,
          CCV_UID            &ORVAR_NUM. NOT NULL,
          CCV_VALUE_UID      &ORVAR_NUM. NOT NULL,
          DB_VALUE           VARCHAR(40) NOT NULL,
          VERSION_UID        &ORVAR_NUM. NOT NULL
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..MAPPING_ITEM_CON (
          MAPPING_UID        &ORVAR_NUM. NOT NULL,
          CCV_UID            &ORVAR_NUM. NOT NULL,
          CCV_VALUE_UID      &ORVAR_NUM. NOT NULL,
          DB_VALUE           VARCHAR(40) NOT NULL,
          VERSION_UID        &ORVAR_NUM. NOT NULL
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..MAPPING_ITEM_EXT (
          MAPPING_UID        &ORVAR_NUM. NOT NULL,
          CCV_UID            &ORVAR_NUM. NOT NULL,
          CCV_VALUE_UID      &ORVAR_NUM. NOT NULL,
          DB_VALUE           VARCHAR(40) NOT NULL,
          VERSION_UID        &ORVAR_NUM. NOT NULL
   );
   

   CREATE TABLE &ORVAR_VARCOMP..VERSION_EXPORT_MAP (
          VERSION_EXPORT_MAP_UID &ORVAR_NUM. NOT NULL,
          DESCRIPTION            VARCHAR(255),
          CREATION_DATE          &ORVAR_DATETIME_NULL.,
          DIR_FOR_LOAD           VARCHAR(255),
          VERSION_UID            &ORVAR_NUM. NOT NULL
   );

   
   CREATE TABLE &ORVAR_VARCOMP..VERSION_EXPORT_CCV_ASSOC (
          VERSION_EXPORT_MAP_UID &ORVAR_NUM. NOT NULL,
          CCV_UID                &ORVAR_NUM. NOT NULL,
          VERSION_UID            &ORVAR_NUM. NOT NULL
   );

   
   CREATE TABLE &ORVAR_VARCOMP..VERSION_EXPORT_MAPPING_ASSOC (
          VERSION_EXPORT_MAP_UID &ORVAR_NUM. NOT NULL,
          MAPPING_UID            &ORVAR_NUM. NOT NULL,
          VERSION_UID            &ORVAR_NUM. NOT NULL
   );

   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_CRITERIA (
          INTERNAL_CRITERIA_UID    &ORVAR_NUM. NOT NULL,
          DESCRIPTION              VARCHAR(255),
          VERSION_UID              &ORVAR_NUM.,
          CURRENT_FIELD_VALUES     &ORVAR_NUM.,
          CURRENT_BL_STRUCTURE     &ORVAR_NUM.,
          CURRENT_ER_CATEGORY      &ORVAR_NUM.,
          FIRST_DATE_OF_EVENT_FROM &ORVAR_DATE_NULL.,
          FIRST_DATE_OF_EVENT_TO   &ORVAR_DATE_NULL.,
          LAST_DATE_OF_EVENT_FROM  &ORVAR_DATE_NULL.,
          LAST_DATE_OF_EVENT_TO    &ORVAR_DATE_NULL.,
          DATE_OF_DISCOVERY_FROM   &ORVAR_DATE_NULL.,
          DATE_OF_DISCOVERY_TO     &ORVAR_DATE_NULL.,
          DATE_OF_PROVISION_FROM   &ORVAR_DATE_NULL.,
          DATE_OF_PROVISION_TO     &ORVAR_DATE_NULL.,
          DATE_OF_SETTLEMENT_FROM  &ORVAR_DATE_NULL.,
          DATE_OF_SETTLEMENT_TO    &ORVAR_DATE_NULL.,
          GROSS_LOSS_AMOUNT_MIN    &ORVAR_NUM.,
          GROSS_LOSS_AMOUNT_MAX    &ORVAR_NUM.,
          NET_LOSS_AMOUNT_MIN      &ORVAR_NUM.,
          NET_LOSS_AMOUNT_MAX      &ORVAR_NUM.,
          LEGAL_LIABILITY_MIN      &ORVAR_NUM.,
          LEGAL_LIABILITY_MAX      &ORVAR_NUM.,
          REGULATORY_ACTION_MIN    &ORVAR_NUM.,
          REGULATORY_ACTION_MAX    &ORVAR_NUM.,
          RESTITUTION_MIN          &ORVAR_NUM.,
          RESTITUTION_MAX          &ORVAR_NUM.,
          LOSS_TO_ASSETS_MIN       &ORVAR_NUM.,
          LOSS_TO_ASSETS_MAX       &ORVAR_NUM.,
          LOSS_OF_RECOURSE_MIN     &ORVAR_NUM.,
          LOSS_OF_RECOURSE_MAX     &ORVAR_NUM.,
          WRITE_DOWNS_MIN          &ORVAR_NUM.,
          WRITE_DOWNS_MAX          &ORVAR_NUM.,
          STATUS_FINAL             &ORVAR_NUM.,
          STATUS_PROVISION         &ORVAR_NUM.,
          STATUS_ESTIMATE          &ORVAR_NUM.,
          STATUS_NEAR_MISS         &ORVAR_NUM.,
          GL_CODE_FROM             VARCHAR(20),
          GL_CODE_TO               VARCHAR(20) 
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..EXTERNAL_CRITERIA (
          EXTERNAL_CRITERIA_UID          &ORVAR_NUM. NOT NULL,
          DESCRIPTION                    VARCHAR(255),
          VERSION_UID                    &ORVAR_NUM.,
          CURRENT_FIELD_VALUES           &ORVAR_NUM.,
          CURRENT_BL_STRUCTURE           &ORVAR_NUM.,
          CURRENT_ER_STRUCTURE           &ORVAR_NUM.,
          FIRM_NAME                      VARCHAR(100),
          PARENT_FIRM_NAME               VARCHAR(100),
          FIRST_DATE_OF_EVENT_FROM       &ORVAR_DATE_NULL.,
          FIRST_DATE_OF_EVENT_TO         &ORVAR_DATE_NULL.,
          LAST_DATE_OF_EVENT_FROM        &ORVAR_DATE_NULL.,
          LAST_DATE_OF_EVENT_TO          &ORVAR_DATE_NULL.,
          DATE_OF_SETTLEMENT_FROM        &ORVAR_DATE_NULL.,
          DATE_OF_SETTLEMENT_TO          &ORVAR_DATE_NULL.,
          GROSS_LOSS_AMOUNT_MIN          &ORVAR_NUM.,
          GROSS_LOSS_AMOUNT_MAX          &ORVAR_NUM.,
          NET_LOSS_AMOUNT_MIN            &ORVAR_NUM.,
          NET_LOSS_AMOUNT_MAX            &ORVAR_NUM.,
          LEGAL_LIABILITY_MIN            &ORVAR_NUM.,
          LEGAL_LIABILITY_MAX            &ORVAR_NUM.,
          REGULATORY_ACTION_MIN          &ORVAR_NUM.,
          REGULATORY_ACTION_MAX          &ORVAR_NUM.,
          RESTITUTION_MIN                &ORVAR_NUM.,
          RESTITUTION_MAX                &ORVAR_NUM.,
          LOSS_TO_ASSETS_MIN             &ORVAR_NUM.,
          LOSS_TO_ASSETS_MAX             &ORVAR_NUM.,
          LOSS_OF_RECOURSE_MIN           &ORVAR_NUM.,
          LOSS_OF_RECOURSE_MAX           &ORVAR_NUM.,
          WRITE_DOWNS_MIN                &ORVAR_NUM.,
          WRITE_DOWNS_MAX                &ORVAR_NUM.,
          FIRM_CRITERIA                  &ORVAR_NUM.,
          PARENT_FIRM_CRITERIA           &ORVAR_NUM.,
          REVENUE_MIN                    &ORVAR_NUM.,
          REVENUE_MAX                    &ORVAR_NUM.,
          ASSETS_MIN                     &ORVAR_NUM.,
          ASSETS_MAX                     &ORVAR_NUM.,
          SHAREHOLDER_EQUITY_MIN         &ORVAR_NUM.,
          SHAREHOLDER_EQUITY_MAX         &ORVAR_NUM.,
          NO_OF_EMPLOYEES_MIN            &ORVAR_NUM.,
          NO_OF_EMPLOYEES_MAX            &ORVAR_NUM.,
          NET_INCOME_MIN                 &ORVAR_NUM.,
          NET_INCOME_MAX                 &ORVAR_NUM.,
          MULTIPLE_FIRMS_IMPACTED_UID    &ORVAR_NUM.,
          SINGLE_EVENT_MULTIPLE_LOSS_UID &ORVAR_NUM.,
          INDUSTRY_SECTOR_UID            &ORVAR_NUM. 
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..CONSORTIUM_CRITERIA (
          CONSORTIUM_CRITERIA_UID   &ORVAR_NUM. NOT NULL,
          DESCRIPTION               VARCHAR(255),
          VERSION_UID               &ORVAR_NUM.,
          CURRENT_FIELD_VALUES      &ORVAR_NUM.,
          CURRENT_BL_STRUCTURE      &ORVAR_NUM.,
          CURRENT_ER_CATEGORY       &ORVAR_NUM.,
          FIRST_DATE_OF_EVENT_FROM  &ORVAR_DATE_NULL.,
          FIRST_DATE_OF_EVENT_TO    &ORVAR_DATE_NULL.,
          LAST_DATE_OF_EVENT_FROM   &ORVAR_DATE_NULL.,
          LAST_DATE_OF_EVENT_TO     &ORVAR_DATE_NULL.,
          DATE_OF_INPUT_FROM        &ORVAR_DATE_NULL.,
          DATE_OF_INPUT_TO          &ORVAR_DATE_NULL.,
          DATE_OF_DISCOVERY_FROM    &ORVAR_DATE_NULL.,
          DATE_OF_DISCOVERY_TO      &ORVAR_DATE_NULL.,
          GROSS_LOSS_AMOUNT_MIN     &ORVAR_NUM.,
          GROSS_LOSS_AMOUNT_MAX     &ORVAR_NUM.,
          NET_LOSS_AMOUNT_MIN       &ORVAR_NUM.,
          NET_LOSS_AMOUNT_MAX       &ORVAR_NUM.,
          INSURANCE_RECOVERY_MIN    &ORVAR_NUM.,
          INSURANCE_RECOVERY_MAX    &ORVAR_NUM.,
          NONINSURANCE_RECOVERY_MIN &ORVAR_NUM.,
          NONINSURANCE_RECOVERY_MAX &ORVAR_NUM.,
          LEGAL_LIABILITY_MIN       &ORVAR_NUM.,
          LEGAL_LIABILITY_MAX       &ORVAR_NUM.,
          REGULATORY_ACTION_MIN     &ORVAR_NUM.,
          REGULATORY_ACTION_MAX     &ORVAR_NUM.,
          RESTITUTION_MIN           &ORVAR_NUM.,
          RESTITUTION_MAX           &ORVAR_NUM.,
          LOSS_TO_ASSETS_MIN        &ORVAR_NUM.,
          LOSS_TO_ASSETS_MAX        &ORVAR_NUM.,
          LOSS_OF_RECOURSE_MIN      &ORVAR_NUM.,
          LOSS_OF_RECOURSE_MAX      &ORVAR_NUM.,
          WRITE_DOWNS_MIN           &ORVAR_NUM.,
          WRITE_DOWNS_MAX           &ORVAR_NUM.,
          STATUS_FINAL              &ORVAR_NUM.,
          STATUS_PROVISION          &ORVAR_NUM.,
          STATUS_ESTIMATE           &ORVAR_NUM.,
          STATUS_NEAR_MISS          &ORVAR_NUM.,
          SHARED_LOSS_GROUP_UID     &ORVAR_NUM.
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..CRITERIA_OVERRIDES (
          CRITERIA_UID       &ORVAR_NUM. NOT NULL,
          EVENT_REF_ID       VARCHAR(15) NOT NULL,
          OVERRIDE_TYPE      &ORVAR_NUM.  
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..CAUSE_CRITERIA (
          CAUSE_CRITERIA_UID    &ORVAR_NUM. NOT NULL,
          INTERNAL_CRITERIA_UID &ORVAR_NUM.,
          CAUSE_UID             &ORVAR_NUM. 
   );
   
   
   %do i = 1 %to 10;
      CREATE TABLE &ORVAR_VARCOMP..CLASS_&i._CRITERIA (
          CLASS_X_CRITERIA_UID  &ORVAR_NUM. NOT NULL,
          CRITERIA_UID          &ORVAR_NUM.,
          CLASS_X_UID           &ORVAR_NUM.   
      );
   %end;


   CREATE TABLE &ORVAR_VARCOMP..CON_ORG_ITEM_CRITERIA (
          CON_ORG_ITEM_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CRITERIA_UID              &ORVAR_NUM.,
          CON_ORG_ITEM_UID          &ORVAR_NUM.   
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..COUNTRY_INCIDENT_CRITERIA_I (
          COUNTRY_INCIDENT_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CRITERIA_UID                  &ORVAR_NUM.,
          COUNTRY_UID                   &ORVAR_NUM.   
   ); 
   
   
   CREATE TABLE &ORVAR_VARCOMP..COUNTRY_INCIDENT_CRITERIA_E (
          COUNTRY_INCIDENT_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CRITERIA_UID                  &ORVAR_NUM.,
          COUNTRY_UID                   &ORVAR_NUM.   
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..COUNTRY_LE_CRITERIA_I (
          COUNTRY_LE_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CRITERIA_UID            &ORVAR_NUM.,
          COUNTRY_UID             &ORVAR_NUM.   
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..COUNTRY_LE_CRITERIA_E (
          COUNTRY_LE_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CRITERIA_UID            &ORVAR_NUM.,
          COUNTRY_UID             &ORVAR_NUM.   
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..LEGAL_ENTITY_CRITERIA (
          LEGAL_ENTITY_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CRITERIA_UID              &ORVAR_NUM.,
          LEGAL_ENTITY_UID          &ORVAR_NUM.   
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..PROCESS_CRITERIA (
          PROCESS_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CRITERIA_UID         &ORVAR_NUM.,
          PROCESS_UID          &ORVAR_NUM.   
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..REGION_CRITERIA (
          REGION_CRITERIA_UID     &ORVAR_NUM. NOT NULL,
          CONSORTIUM_CRITERIA_UID &ORVAR_NUM.,
          REGION_OF_DOMICILE_UID  &ORVAR_NUM. 
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..CONSORTIUM_BL_CRITERIA (
          CONSORTIUM_BL_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CONSORTIUM_CRITERIA_UID    &ORVAR_NUM.,
          BASEL_BL_UID               &ORVAR_NUM.,
          SELECTED                   &ORVAR_NUM.  
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..CONSORTIUM_ER_CRITERIA (
          CONSORTIUM_ER_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          CONSORTIUM_CRITERIA_UID    &ORVAR_NUM.,
          BASEL_ER_UID               &ORVAR_NUM.,
          SELECTED                   &ORVAR_NUM.  
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..EXTERNAL_BL_CRITERIA (
          EXTERNAL_BL_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          EXTERNAL_CRITERIA_UID    &ORVAR_NUM.,
          BASEL_BL_UID             &ORVAR_NUM.,
          SELECTED                 &ORVAR_NUM.  
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..EXTERNAL_ER_CRITERIA (
          EXTERNAL_ER_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          EXTERNAL_CRITERIA_UID    &ORVAR_NUM.,
          BASEL_ER_UID             &ORVAR_NUM.,
          SELECTED                 &ORVAR_NUM.  
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_BL_CRITERIA (
          INTERNAL_BL_CRITERIA_UID &ORVAR_NUM. NOT NULL,
          INTERNAL_CRITERIA_UID    &ORVAR_NUM.,
          INTERNAL_BL_UID          &ORVAR_NUM.,
          SELECTED                 &ORVAR_NUM.  
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_ER_CRITERIA (
          INTERNAL_ER_CRITERIA_UID   &ORVAR_NUM. NOT NULL,
          INTERNAL_CRITERIA_UID      &ORVAR_NUM.,
          SELECTED                   &ORVAR_NUM.,
          INTERNAL_RC_UID            &ORVAR_NUM. 
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..EXTERNAL_SCALING_COMPONENT (
          EXT_SCALE_COMPONENT_UID   &ORVAR_NUM. NOT NULL,
          EXT_SCALE_ADJ_YEAR        &ORVAR_NUM.,
          REMOVE_UNSCALED_LOSSES   &ORVAR_NUM. NOT NULL,
          DESCRIPTION               VARCHAR(255),
          VERSION_UID               &ORVAR_NUM. NOT NULL
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..EXTERNAL_SCALE_ADJUSTMENT (
          EXTERNAL_SCALE_ADJUSTMENT_UID &ORVAR_NUM. NOT NULL,
          EXT_SCALE_COMPONENT_UID       &ORVAR_NUM. NOT NULL,
          SCALE_FACTOR_VARIABLE_NAME    VARCHAR(50),
          SCALE_FACTOR_VALUE            &ORVAR_NUM.,
          AGR_VALUE                     &ORVAR_NUM.,
          EXT_SCALE_ADJ_TYPE            CHAR(1)       
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..EXTERNAL_SCALING (
          EXT_SCALE_UID              &ORVAR_NUM. NOT NULL,
          EXT_SCALE_COMPONENT_UID    &ORVAR_NUM. NOT NULL,
          EXT_SCALE_LEVEL            &ORVAR_NUM. NOT NULL,
          SCALE_FACTOR_VARIABLE_NAME VARCHAR(50),
          EXT_SCALE_COEFFICIENT      &ORVAR_NUM.,
          EXT_SCALE_VARIABLE_PLUG    &ORVAR_NUM.,
          EXT_SCALE_TYPE             CHAR(1)       
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_SCALE_ADJUSTMENT (
          INTERNAL_SCALE_ADJUSTMENT_UID &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJ_YEAR       &ORVAR_NUM.,
          FREQUENCY_SCALE_BY_FIRM       &ORVAR_NUM.,
          FREQUENCY_SCALE_BY_BL         &ORVAR_NUM.,
          SEVERITY_SCALE_BY_FIRM        &ORVAR_NUM.,
          SEVERITY_SCALE_BY_BL          &ORVAR_NUM.,
          FREQUENCY_COEFFICIENT_FIRM    &ORVAR_NUM.,
          FREQUENCY_COEFFICIENT_BL      &ORVAR_NUM.,
          SEVERITY_COEFFICIENT_FIRM     &ORVAR_NUM.,
          SEVERITY_COEFFIECIENT_BL      &ORVAR_NUM.,
          SEVERITY_SFV_FIRM             &ORVAR_NUM.,
          SEVERITY_SFV_BL               &ORVAR_NUM.,
          FREQUENCY_SFV_FIRM            &ORVAR_NUM.,
          FREQUENCY_SFV_BL              &ORVAR_NUM.,
          DESCRIPTION                   VARCHAR(255),
          VERSION_UID                   &ORVAR_NUM. NOT NULL      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_SEVERITY_ADJ_FIRM (
          INTERNAL_SEV_ADJ_FIRM_UID      &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID  &ORVAR_NUM. NOT NULL,
          SELECTED                       &ORVAR_NUM.,
          INT_SEV_ADJ_YEAR               &ORVAR_NUM.,
          SCALE_FACTOR_VALUE             &ORVAR_NUM.,
          SCALE_FACTOR_VARIABLE_UID      &ORVAR_NUM.,
          SAF_VALUE                      &ORVAR_NUM.      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_SEVERITY_ADJ_BL (
          INTERNAL_SEV_ADJ_BL_UID       &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID &ORVAR_NUM. NOT NULL,
          SELECTED                      &ORVAR_NUM.,
          INTERNAL_BL_UID               &ORVAR_NUM.,
          INT_SEV_ADJ_YEAR              &ORVAR_NUM.,
          SCALE_FACTOR_VARIABLE_UID     &ORVAR_NUM.,
          SCALE_FACTOR_VALUE            &ORVAR_NUM.,
          SAF_VALUE                     &ORVAR_NUM.      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_SEVERITY_AGR_BL (
          INTERNAL_SEV_AGR_BL_UID       &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID &ORVAR_NUM. NOT NULL,
          INTERNAL_BL_UID               &ORVAR_NUM.,
          SCALE_FACTOR_VARIABLE_UID     &ORVAR_NUM.,
          INTERNAL_SEV_AGR_VALUE        &ORVAR_NUM.      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_SEVERITY_AGR_FIRM (
          INTERNAL_SEVERITY_AGR_FIRM_UID &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID  &ORVAR_NUM. NOT NULL,
          SCALE_FACTOR_VARIABLE_UID      &ORVAR_NUM.,
          INTERNAL_SEV_AGR_VALUE         &ORVAR_NUM.      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_FREQUENCY_ADJ_FIRM (
          INTERNAL_FREQ_ADJ_FIRM_UID    &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID &ORVAR_NUM. NOT NULL,
          SELECTED                      &ORVAR_NUM.,
          INTERNAL_FREQ_ADJ_YEAR        &ORVAR_NUM.,
          SCALE_FACTOR_VARIABLE_UID     &ORVAR_NUM.,
          SCALE_FACTOR_VALUE            &ORVAR_NUM.,
          INTERNAL_FREQ_ADJ_AAF         &ORVAR_NUM.,
          SAF_VALUE                     &ORVAR_NUM.      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_FREQUENCY_ADJ_BL (
          INTERNAL_FREQ_ADJ_BL_UID      &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID &ORVAR_NUM. NOT NULL,
          SELECTED                      &ORVAR_NUM.,
          INTERNAL_FREQ_ADJ_YEAR        &ORVAR_NUM.,
          INTERNAL_BL_UID               &ORVAR_NUM.,
          SCALE_FACTOR_VARIABLE_UID     &ORVAR_NUM.,
          SCALE_FACTOR_VALUE            &ORVAR_NUM.,
          SAF_VALUE                     &ORVAR_NUM.,
          INTERNAL_FREQ_ADJ_AAF         &ORVAR_NUM.      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_FREQUENCY_AGR_FIRM (
          INTERNAL_FREQ_AGR_FIRM_UID    &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID &ORVAR_NUM. NOT NULL,
          SCALE_FACTOR_VARIABLE_UID     &ORVAR_NUM.,
          INTERNAL_FREQ_AGR_VALUE       &ORVAR_NUM.      
   );
   
   
   CREATE TABLE &ORVAR_VARCOMP..INTERNAL_FREQUENCY_AGR_BL (
          INTERNAL_FREQ_AGR_BL_UID       &ORVAR_NUM. NOT NULL,
          INTERNAL_SCALE_ADJUSTMENT_UID  &ORVAR_NUM. NOT NULL,
          INTERNAL_BL_UID                &ORVAR_NUM.,
          SCALE_FACTOR_VARIABLE_UID      &ORVAR_NUM.,
          INTERNAL_FREQ_AGR_VALUE        &ORVAR_NUM.      
   );

   quit;

%mend orvdb_create_prj_comps;
